Package org.apache.qpid.proton.codec.messaging

# Class MessageAnnotationsType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<MessageAnnotations,Map>
org.apache.qpid.proton.codec.messaging.MessageAnnotationsType

All Implemented Interfaces:
  `AMQPType<MessageAnnotations>`, `DescribedTypeConstructor<MessageAnnotations>`

public class MessageAnnotationsType extends AbstractDescribedType<MessageAnnotations,Map> implements DescribedTypeConstructor<MessageAnnotations>

## Constructor Summary

Constructors
Constructor
Description
`MessageAnnotationsType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<MessageAnnotations>`
`getTypeClass()`
`MessageAnnotations`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected Map`
`wrap(MessageAnnotations val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageAnnotationsType

public MessageAnnotationsType(EncoderImpl encoder)

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<MessageAnnotations,Map>`

### wrap

protected Map wrap(MessageAnnotations val)

Specified by:
  `wrap` in class `AbstractDescribedType<MessageAnnotations,Map>`

### newInstance

public MessageAnnotations newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<MessageAnnotations>`

### getTypeClass

public Class<MessageAnnotations> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<MessageAnnotations>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<MessageAnnotations>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)